package lab5;

public class Example1 {

    private char symbol; // закрытое символьное поле

    // метод присваивает значение полю
    public void setSymbol(char symbol) {
        this.symbol = symbol;
    }

    // метод возвращает код символа
    public int getSymbolCode() {
        return (int) symbol;
    }

    // метод выводит символ и его код
    public void printSymbolAndCode() {
        System.out.println("Symbol: " + symbol);
        System.out.println("Code: " + (int) symbol);
    }

    // для проверки работы
    public static void main(String[] args) {
        Example1 obj = new Example1();
        obj.setSymbol('A');
        obj.printSymbolAndCode();
    }
}
